#include <bits/stdc++.h>
using namespace std;
int kt(int a,int b,int c)
{
    if(a+b-c>0||b+c-a>0||a+c-b>0)return 1;
    return 0;
}
int main()
{
    ifstream f1("TAMGIAC.INP");
    int a,b,c;
    float s,p;
    f1>>a>>b>>c;
    f1.close();
    ofstream f2("TAMGIAC.OUT");
    p=(a+b+c)/2;
    s=sqrt(p*(p-a)*(p-b)*(p-c));
    if(kt(a,b,c)==1)f2<<"YES"<<endl<<fixed<<setprecision(2)<<s;
    else f2<<"NO";
    f2.close();
    return 0;
}
